/* Example Code   4/20/19
   ConstantSpeed - Shows how to run AccelStepper Library at constant speed.
   Speed-Max = Depends on the Stepper Motor spec's.
   This does full, continuous ClockWise (CW) rotation.
*/
#include <AccelStepper.h>
#define HALFSTEP   8
#define motorPin1  4								// Arduino D4 to #4 input on SN754410
#define motorPin2  3								// Arduino D3 to #2 input on SN754410
#define motorPin3  5								// Arduino D5 to #3 input on SN754410
#define motorPin4  2								// Arduino D2 to #1 input on SN754410

long volatile counter = 0;

// Initialize pin sequence IN1-IN3-IN2-IN4 for using the AccelStepper
AccelStepper stepper1(HALFSTEP, motorPin1, motorPin3, motorPin2, motorPin4);

void setup()
{
  stepper1.setMaxSpeed(1000);        // max allowed for the 28 BYJ-48 motor
  stepper1.setSpeed(300);            // set desired speed
//  Serial.begin(9600);              // serial display **** NOTE ****
                                     // the Serial display will slow the motor
                                     // regardless of speed setting!!
}//end setup

void loop()
{
  stepper1.runSpeed();                              // run the motor
  counter = stepper1.currentPosition() / 1.111;     // count degrees/step where,
                                                    // 1 Rev=400 steps/360?=1.11...
  Serial.println(counter);													//  used for display
}//end loop